MSVSSLABEL (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.vss.MSVSSLABEL class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSLABEL

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.vss.MSVSS
                  org.apache.tools.ant.taskdefs.optional.vss.MSVSSLABEL

public class MSVSSLABEL
extends MSVSS

Performs Label commands to Microsoft Visual SourceSafe.

The following attributes are interpreted:

Attribute | Values | Required
--- | --- | ---
login | username,password | No
vsspath | SourceSafe path | Yes
ssdir | directory where `ss.exe` resides. By default the task expects it to be in the PATH. | No
label | A label to apply to the hierarchy | Yes
version | An existing file or project version to label | No
autoresponse | What to respond with (sets the -I option). By default, -I- is used; values of Y or N will be appended to this. | No
comment | The comment to use for this label. Empty or '-' for no comment. | No

Author:
  Phillip Wells

Field Summary
`static java.lang.String` | `FLAG_LABEL`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_LOGIN, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, VALUE_NO, VALUE_YES`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MSVSSLABEL()`

Method Summary
`void` | `execute()` Executes the task.
`void` | `getAutoresponse(Commandline cmd)` Checks the value set for the autoResponse.
`java.lang.String` | `getComment()` Gets the comment to be applied.
`java.lang.String` | `getLabel()` Gets the label to be applied.
`void` | `getLabelCommand(Commandline cmd)` Builds the label command.
`void` | `getVersionCommand(Commandline cmd)` Builds the version command.
`void` | `setAutoresponse(java.lang.String response)` What to respond with (sets the -I option).
`void` | `setComment(java.lang.String comment)` The comment to use for this label; optional.
`void` | `setLabel(java.lang.String label)` Set the label to apply; required.
`void` | `setVersion(java.lang.String version)` Name an existing file or project version to label; optional.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`getLoginCommand, getSSCommand, getVsspath, run, setLogin, setServerpath, setSsdir, setVsspath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_LABEL

    public static final java.lang.String FLAG_LABEL

See Also:
  Constant Field Values

Constructor Detail

### MSVSSLABEL

    public MSVSSLABEL()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute ss and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setLabel

    public void setLabel(java.lang.String label)

  Set the label to apply; required.

  Note we assume that if the supplied string has the value "null" that something went wrong and that the string value got populated from a null object. This happens if a ant variable is used e.g. label="${label_server}" when label_server has not been defined to ant!

  To do:
    correct.

### getVersionCommand

    public void getVersionCommand(Commandline cmd)

  Builds the version command.

  Parameters:
    `cmd` - the commandline the command is to be added to

### getLabelCommand

    public void getLabelCommand(Commandline cmd)

  Builds the label command.

  Parameters:
    `cmd` - the commandline the command is to be added to

### setVersion

    public void setVersion(java.lang.String version)

  Name an existing file or project version to label; optional. By default the current version is labelled.

  Note we assume that if the supplied string has the value "null" that something went wrong and that the string value got populated from a null object. This happens if a ant variable is used e.g. version="${ver_server}" when ver_server has not been defined to ant!

  To do:
    fix

### getLabel

    public java.lang.String getLabel()

  Gets the label to be applied.

  Returns:
    the label to be applied.

### setComment

    public void setComment(java.lang.String comment)

  The comment to use for this label; optional. Empty or '-' for no comment.

  If this is null or empty, it will be replaced with "-" which is what SourceSafe uses for an empty comment.

  To do:
    correct

### getComment

    public java.lang.String getComment()

  Gets the comment to be applied.

  Returns:
    the comment to be applied.

### setAutoresponse

    public void setAutoresponse(java.lang.String response)

  What to respond with (sets the -I option). By default, -I- is used; values of Y or N will be appended to this.

### getAutoresponse

    public void getAutoresponse(Commandline cmd)

  Checks the value set for the autoResponse. if it equals "Y" then we return -I-Y if it equals "N" then we return -I-N otherwise we return -I

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.